Open CASCADE Technology: GCE2d_MakeHyperbola Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
GCE2d_MakeHyperbola Class Reference

This class implements the following algorithms used to create Hyperbola from Geom2d. More...

`#include <GCE2d_MakeHyperbola.hxx>`

Inheritance diagram for GCE2d_MakeHyperbola:
[legend]

## Public Member Functions
| GCE2d_MakeHyperbola (const gp_Hypr2d &H)
| Creates an Hyperbola from a non persistent one from package gp. More...
| GCE2d_MakeHyperbola (const gp_Ax2d &MajorAxis, const Standard_Real MajorRadius, const Standard_Real MinorRadius, const Standard_Boolean Sense)
| MajorAxis is the "XAxis" of the hyperbola. The major radius of the hyperbola is on this "XAxis" and the minor radius is on the "YAxis" of the hyperbola. The status is "NegativeRadius" if MajorRadius < 0.0 or if MinorRadius < 0.0. More...
| GCE2d_MakeHyperbola (const gp_Ax22d &Axis, const Standard_Real MajorRadius, const Standard_Real MinorRadius)
| Axis is the local coordinate system of the hyperbola. The major radius of the hyperbola is on this "XAxis" and the minor radius is on the "YAxis" of the hyperbola. The status is "NegativeRadius" if MajorRadius < 0.0 or if MinorRadius < 0.0. More...
| GCE2d_MakeHyperbola (const gp_Pnt2d &S1, const gp_Pnt2d &S2, const gp_Pnt2d &Center)
| Creates a hyperbol centered on the origin of the coordinate system Axis, with major and minor radii MajorRadius and MinorRadius, where the major axis is the "X Axis" of Axis (Axis is the local coordinate system of the hyperbola). The implicit orientation of the ellipse is: More...
const Handle< Geom2d_Hyperbola > & | Value () const
| Returns the constructed hyperbola. Exceptions: StdFail_NotDone if no hyperbola is constructed. More...
const Handle< Geom2d_Hyperbola > & | Operator () const
| operator Handle_Geom2d_Hyperbola () const
Public Member Functions inherited from GCE2d_Root
Standard_Boolean | IsDone () const
| Returns true if the construction is successful. More...
gce_ErrorType | Status () const
| Returns the status of the construction. More...

## Additional Inherited Members
Protected Attributes inherited from GCE2d_Root
gce_ErrorType | TheError

## Detailed Description

This class implements the following algorithms used to create Hyperbola from Geom2d.

- Create an Hyperbola from two apex and the center. Defines the main branch of an hyperbola. The parameterization range is ]-infinite,+infinite[ It is possible to get the other branch and the two conjugate branches of the main branch.

^YAxis | FirstConjugateBranch | Other | Main ------------------— C ---------------------------—>XAxis Branch | Branch | SecondConjugateBranch |

The major radius is the distance between the Location point of the hyperbola C and the apex of the main Branch (or the Other branch). The major axis is the "XAxis". The minor radius is the distance between the Location point of the hyperbola C and the apex of the First (or Second) Conjugate branch. The minor axis is the "YAxis". The major radius can be lower than the minor radius.

## Constructor & Destructor Documentation

GCE2d_MakeHyperbola::GCE2d_MakeHyperbola | ( | const gp_Hypr2d & | H | ) |

Creates an Hyperbola from a non persistent one from package gp.

GCE2d_MakeHyperbola::GCE2d_MakeHyperbola | ( | const gp_Ax2d & | MajorAxis,
|  | const Standard_Real | MajorRadius,
|  | const Standard_Real | MinorRadius,
|  | const Standard_Boolean | Sense
| ) |  |

MajorAxis is the "XAxis" of the hyperbola. The major radius of the hyperbola is on this "XAxis" and the minor radius is on the "YAxis" of the hyperbola. The status is "NegativeRadius" if MajorRadius < 0.0 or if MinorRadius < 0.0.

GCE2d_MakeHyperbola::GCE2d_MakeHyperbola | ( | const gp_Ax22d & | Axis,
|  | const Standard_Real | MajorRadius,
|  | const Standard_Real | MinorRadius
| ) |  |

Axis is the local coordinate system of the hyperbola. The major radius of the hyperbola is on this "XAxis" and the minor radius is on the "YAxis" of the hyperbola. The status is "NegativeRadius" if MajorRadius < 0.0 or if MinorRadius < 0.0.

GCE2d_MakeHyperbola::GCE2d_MakeHyperbola | ( | const gp_Pnt2d & | S1,
|  | const gp_Pnt2d & | S2,
|  | const gp_Pnt2d & | Center
| ) |  |

Creates a hyperbol centered on the origin of the coordinate system Axis, with major and minor radii MajorRadius and MinorRadius, where the major axis is the "X Axis" of Axis (Axis is the local coordinate system of the hyperbola). The implicit orientation of the ellipse is:

- the sense defined by Axis or H,
- the sense defined by points Center, S1 and S2,
- the trigonometric sense if Sense is not given or is true, or
- the opposite sense if Sense is false. Warning If an error occurs (that is, when IsDone returns false), the Status function returns:
- gce_NegativeRadius if MajorRadius or MinorRadius is less than 0.0, or
- gce_InvertAxis if the major radius defined by Center and S1 is less than the minor radius defined by Center, S1 and S2.Make an Hyperbola with its center and two apexes.

## Member Function Documentation

const Handle< Geom2d_Hyperbola >& GCE2d_MakeHyperbola::Operator | ( |  | ) | const

GCE2d_MakeHyperbola::operator Handle_Geom2d_Hyperbola | ( |  | ) | const

const Handle< Geom2d_Hyperbola >& GCE2d_MakeHyperbola::Value | ( |  | ) | const

Returns the constructed hyperbola. Exceptions: StdFail_NotDone if no hyperbola is constructed.

The documentation for this class was generated from the following file:

- GCE2d_MakeHyperbola.hxx